Favicon

You are here: Home > API Reference > Apple > Apple Enrollment Tokens > Create bulk enrollment tokens

Create bulk enrollment tokens

Required Permission: mdm.apple.enrollmentToken.create

Creates multiple enrollment tokens simultaneously for streamlined distribution to end users or groups.

POST
/v1/organizations/:organizationId/mdm/apple/enterprise/enrollment-tokens/bulk
Copy to clipboard

Create bulk enrollment tokens

Required Permission: mdm.apple.enrollmentToken.create

Creates multiple enrollment tokens simultaneously for streamlined distribution to end users or groups.

Request

Add parameter in header authorization
Example: Authorization: Bearer <token>
organizationId string
required
Match pattern: ^(([a-fA-F0-9]{24})|([a-zA-Z0-9\\-]{3,}))$
Body Params application/json
type string optional
object
children object optional
sendEmail object optional
type string optional
boolean
flags object optional
insensitive boolean optional
presence string optional
required
truthy boolean optional
falsy boolean optional
displayName object optional
type string optional
string
valids string optional
rules object optional
name string optional
max
arg number optional
Format: float
128
tags object optional
type string optional
array
flags object optional
sparse boolean optional
items object optional
type string optional
string
valids string optional
rules object optional
name string optional
max
arg number optional
Format: float
128
duration object optional
type string optional
number
flags object optional
unsafe boolean optional
description string optional
Number of seconds between 1m and 30d. 1d by default
invalids number optional
Format: float
null
rules object optional
name string optional
integer
language object optional
type string optional
string
flags object optional
allowOnly boolean optional
valids string optional
es
invalids string optional
emailText object optional
type string optional
string
valids string optional
policyId object optional
type string optional
string
valids string optional
rules object optional
name string optional
regex
arg object optional
pattern string optional
Match pattern: ^[a-fA-F0-9]{24}$
admPolicyAssignments object optional
type string optional
array
flags object optional
sparse boolean optional
items object optional
type string optional
object
children object optional
admPolicyId object optional
priority object optional
profiles object optional
type string optional
array
flags object optional
sparse boolean optional
items object optional
type string optional
string
invalids string optional
rules object optional
name string optional
regex
arg object optional
applications object optional
type string optional
array
flags object optional
sparse boolean optional
items object optional
type string optional
object
children object optional
admApplication object optional
managed object optional
vpp object optional
iOSApp object optional
configuration object optional
action object optional
actionStatus object optional
scripts object optional
updatePolicy object optional
admVppLocationId object optional
type string optional
string
valids string optional
rules object optional
name string optional
regex
arg object optional
pattern string optional
Match pattern: ^[a-fA-F0-9]{24}$
segmentId object optional
type string optional
number
flags object optional
unsafe boolean optional
invalids number optional
Format: float
null
rules object optional
name string optional
integer
userEmails array [string] required
Array of recipient email addresses for bulk enrollment token generation and distribution workflows.
{
    "type": "object",
    "children": {
        "sendEmail": {
            "type": "boolean",
            "flags": {
                "insensitive": true,
                "presence": "required"
            },
            "truthy": true,
            "falsy": true
        },
        "displayName": {
            "type": "string",
            "valids": "",
            "rules": {
                "name": "max",
                "arg": 128
            }
        },
        "tags": {
            "type": "array",
            "flags": {
                "sparse": true
            },
            "items": {
                "type": "string",
                "valids": "",
                "rules": {
                    "name": "max",
                    "arg": 128
                }
            }
        },
        "duration": {
            "type": "number",
            "flags": {
                "unsafe": true
            },
            "description": "Number of seconds between 1m and 30d. 1d by default",
            "invalids": null,
            "rules": {
                "name": "integer"
            }
        },
        "language": {
            "type": "string",
            "flags": {
                "allowOnly": true
            },
            "valids": "es",
            "invalids": ""
        },
        "emailText": {
            "type": "string",
            "valids": ""
        },
        "policyId": {
            "type": "string",
            "valids": "",
            "rules": {
                "name": "regex",
                "arg": {
                    "pattern": "string"
                }
            }
        },
        "admPolicyAssignments": {
            "type": "array",
            "flags": {
                "sparse": true
            },
            "items": {
                "type": "object",
                "children": {
                    "admPolicyId": {
                        "type": "string",
                        "invalids": "",
                        "rules": {
                            "name": "regex",
                            "arg": {
                                "pattern": "string"
                            }
                        }
                    },
                    "priority": {
                        "type": "number",
                        "flags": {
                            "unsafe": true,
                            "presence": "required"
                        },
                        "invalids": null,
                        "rules": {
                            "name": "integer"
                        }
                    }
                }
            }
        },
        "profiles": {
            "type": "array",
            "flags": {
                "sparse": true
            },
            "items": {
                "type": "string",
                "invalids": "",
                "rules": {
                    "name": "regex",
                    "arg": {
                        "pattern": "string"
                    }
                }
            }
        },
        "applications": {
            "type": "array",
            "flags": {
                "sparse": true
            },
            "items": {
                "type": "object",
                "children": {
                    "admApplication": {
                        "type": "string",
                        "flags": {
                            "presence": "required"
                        },
                        "invalids": "",
                        "rules": {
                            "name": "regex",
                            "arg": {
                                "pattern": "string"
                            }
                        }
                    },
                    "managed": {
                        "type": "boolean",
                        "flags": {
                            "insensitive": true
                        },
                        "truthy": true,
                        "falsy": true
                    },
                    "vpp": {
                        "type": "boolean",
                        "flags": {
                            "insensitive": true
                        },
                        "truthy": true,
                        "falsy": true
                    },
                    "iOSApp": {
                        "type": "boolean",
                        "flags": {
                            "insensitive": true
                        },
                        "truthy": true,
                        "falsy": true
                    },
                    "configuration": {
                        "type": "object"
                    },
                    "action": {
                        "type": "string",
                        "flags": {
                            "allowOnly": true
                        },
                        "valids": "forceInstall",
                        "invalids": ""
                    },
                    "actionStatus": {
                        "type": "string",
                        "flags": {
                            "allowOnly": true
                        },
                        "valids": "forceInstall",
                        "invalids": ""
                    },
                    "scripts": {
                        "type": "object",
                        "children": {
                            "preInstall": {
                                "type": "string",
                                "valids": ""
                            },
                            "postInstall": {
                                "type": "string",
                                "valids": ""
                            },
                            "audit": {
                                "type": "string",
                                "valids": ""
                            },
                            "enforce": {
                                "type": "string",
                                "valids": ""
                            },
                            "runner": {
                                "type": "string",
                                "valids": ""
                            }
                        }
                    },
                    "updatePolicy": {
                        "type": "object"
                    }
                }
            }
        },
        "admVppLocationId": {
            "type": "string",
            "valids": "",
            "rules": {
                "name": "regex",
                "arg": {
                    "pattern": "string"
                }
            }
        },
        "segmentId": {
            "type": "number",
            "flags": {
                "unsafe": true
            },
            "invalids": null,
            "rules": {
                "name": "integer"
            }
        }
    },
    "userEmails": [
        "[email protected]",
        "[email protected]",
        "[email protected]"
    ]
}

Responses

200 Response application/json
status boolean optional
data object optional
total number required
Total number of enrollment tokens requested in bulk creation operation for processing tracking and validation.
Format: float
success number required
Count of successfully created enrollment tokens in bulk operation indicating completed provisioning for device distribution.
Format: float
fail number required
Count of failed enrollment token creations in bulk operation requiring investigation for email validation or quota issues.
Format: float
{
    "status": true,
    "data": {
        "total": 10,
        "success": 9,
        "fail": 1
    }
}
400 Response application/json
status boolean optional
false
error object optional
code number optional
5086
message string optional
Attached adm profiles can not be added
{
    "status": false,
    "error": {
        "code": 5050,
        "message": "Feature not allowed for you billing plan"
    }
}
401 Response application/json
status boolean optional
false
error object optional
code number optional
4004
message string optional
Invalid Token
{
    "status": false,
    "error": {
        "code": 4002,
        "message": "No auth token"
    }
}
404 Response application/json
status boolean optional
false
error object optional
code number optional
3001
message string optional
Entity not found
{
    "status": false,
    "error": {
        "code": 3001,
        "message": "Entity not found"
    }
}